summaryrefslogtreecommitdiffstats
path: root/deploy
diff options
context:
space:
mode:
Diffstat (limited to 'deploy')
-rwxr-xr-xdeploy/check_openstack_progress.sh10
-rwxr-xr-xdeploy/check_os_progress.sh10
-rw-r--r--deploy/tempest.py4
3 files changed, 21 insertions, 3 deletions
diff --git a/deploy/check_openstack_progress.sh b/deploy/check_openstack_progress.sh
index c1c88eb8..bbd631b6 100755
--- a/deploy/check_openstack_progress.sh
+++ b/deploy/check_openstack_progress.sh
@@ -2,7 +2,17 @@
source /root/daisyrc_admin
echo "check openstack installing progress..."
cluster_id=`daisy cluster-list | awk -F "|" '{print $2}' | sed -n '4p'`
+
+maxcount=180
+count=0
+
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install openstack, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
openstack_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "active" `
openstack_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "install-failed" `
if [ $openstack_install_active -eq 1 ]; then
diff --git a/deploy/check_os_progress.sh b/deploy/check_os_progress.sh
index abbd7e5a..c631a713 100755
--- a/deploy/check_os_progress.sh
+++ b/deploy/check_os_progress.sh
@@ -45,7 +45,15 @@ echo "run daisy install command"
daisy install $cluster_id --skip-pxe-ipmi $skip
echo "check os installing progress..."
+maxcount=180
+count=0
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install the os, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
os_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $8}' | grep -c "active" `
os_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $8}' | grep -c "install-failed" `
if [ $os_install_active -eq $hosts_num ]; then
@@ -57,7 +65,7 @@ while true; do
else
progress=`daisy host-list --cluster-id $cluster_id |grep DISCOVERY_SUCCESSFUL |awk -F "|" '{print $7}'|sed s/[[:space:]]//g|sed ':a;N;$ s/\n/ /g;ba'`
echo "os in installing, the progress of each node is $progress%"
- sleep 10
+ sleep 30
fi
done
systemctl disable dhcpd
diff --git a/deploy/tempest.py b/deploy/tempest.py
index 34af9b5a..2b72cbc2 100644
--- a/deploy/tempest.py
+++ b/deploy/tempest.py
@@ -31,7 +31,7 @@ _CLI_OPTS = [
help='Config cluster'),
cfg.StrOpt('host',
help='Config host'),
- cfg.StrOpt('env',
+ cfg.IntOpt('env',
help='deploy environment'),
]
@@ -86,7 +86,7 @@ def prepare_install():
cluster_id = cluster_info.id
add_hosts_interface(cluster_id, hosts_info, hosts_name,
host_interface_map, vip)
- if conf['env'] and conf['env'] == 0:
+ if 'env' in conf and conf['env'] == 0:
build_pxe_for_os(cluster_id)
except Exception:
print("Deploy failed!!!.%s." % traceback.format_exc())